spec:
  inputs:
    stage:
      description: "Stage the job should run at"
      default: "renovate"
    image_prefix:
      description: "Image that should be used by the job in format `registry/image`"
      default: "renovate/renovate"
    image_tag:
      description: "Tag of the image, will be appended to `image_prefix`"
      default: "latest"
    renovate_config:
      description: "Renovate configuration file name"
      default: "renovate.json"
    dry_run:
      description: "Whether to run semantic-release in dry-run mode or not"
      default: ""
---
.renovate:
  stage: $[[ inputs.stage ]]
  image: $[[ inputs.image_prefix | expand_vars ]]:$[[ inputs.image_tag | expand_vars ]]
  variables:
    RENOVATE_CONFIG_FILE: "$[[ inputs.renovate_config ]]"
  cache:
    key: ${CI_COMMIT_REF_SLUG}-renovate
    paths:
      - $CI_PROJECT_DIR/renovate

renovate:
  extends: .renovate
  script:
    - renovate
  rules:
    - if: '"$[[ inputs.dry_run ]]" != "true"'

renovate dry-run:
  extends: .renovate
  script:
    - renovate --dry-run
  rules:
    - if: '"$[[ inputs.dry_run ]]" == "true"'